Skip to main content
GET
List monitor changes
0 credits Requires monitors:read permission. See the guide for examples and usage.

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <API_KEY>. Keys have full access unless restricted to scopes.

Path Parameters

monitor_id
string
required

ID of the monitor.

Example:

"mon_123"

Query Parameters

tag
string

Filter to items that have this tag.

Example:

"pricing"

since
string<date-time>

Only include items at or after this ISO 8601 timestamp.

Example:

"2026-06-01T00:00:00Z"

until
string<date-time>

Only include items before this ISO 8601 timestamp.

Example:

"2026-06-28T00:00:00Z"

limit
integer

Maximum number of items to return per page (1-100). Defaults to 25.

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from a previous response.

Response

A paginated list of changes for the monitor

data
Change · object[]
required
has_more
boolean
required
next_cursor
string | null
required
request_id
string<uuid>
required

Unique ID of this request, also in X-Request-Id. Include it when contacting support.

Example:

"3f1c2a6e-8b4d-4c1e-9f0a-2d7b5e6c8a91"

key_metadata
object

Credits this request used and your remaining balance.